# hi-snes9x

This is a port of the well known snes9x emulator. It is designed to run on hisilicon SoC's using the MPP SDK. To build this project you must export the path to the `arm-hisiv400-linux` toolchain.

```
export PATH="/opt/hisi-linux/x86-arm/arm-hisiv400-linux/bin:$PATH"
cd snes9x/unix
make
```

# Files

* `snes9x/` - contains snes9x code
* `snes9x/unix` - contains a fork of the unix snes9x code. this is where main.cpp is located and contains everything pertaining to the port.
* `snes9x/unix/libs` - MPP static libraries used to setup HDMI output.
